#pragma once
#include "../global_include.h"
#include "../server/WebSocket_Manager.h"

class State_Report : public Psc::Singleton<State_Report> {
public:
  std::shared_ptr<WebSocket_Manager> wm;
  State_Report();
  void push_state(Psc::JSON json);
};



class With_State_Report {
public:
  Psc::JSON state_json() {
    return Psc::JSON::object();
  }
  void report() {
    State_Report::instance()->push_state(state_json());
  }
};